Add case settings
- Base URL
-
https://{kibana_url}
- POST /api/cases/configure
- POST /s/{space_id}/api/cases/configure
Refer to Spaces for more information.
Case settings include external connection details, custom fields, and templates. Connectors are used to interface with external systems. You must create a connector before you can use it in your cases. If you set a default connector, it is automatically selected when you create cases in Kibana. If you use the create case API, however, you must still specify all of the connector details. You must have all privileges for the Cases feature in the Management, Observability, or Security section of the Kibana feature privileges, depending on where you are creating cases.
Request body
-
closure_typerequired -
Indicates whether a case is automatically closed when it is pushed to external systems (
close-by-pushing) or not automatically closed (close-by-user). -
Values:
close-by-pushingclose-by-user -
connectorobjectrequired -
An object that contains the connector configuration.
-
fieldsobjectrequired nullable -
The fields specified in the case configuration are not used and are not propagated to individual cases, therefore it is recommended to set it to
null. -
idstringrequired -
The identifier for the connector. If you do not want a default connector, use
none. To retrieve connector IDs, use the find connectors API. -
customFieldsobject · min items: 0 · max items: 10 -
Custom fields case configuration.
-
defaultValueboolean | string -
A default value for the custom field. If the
typeistext, the default value must be a string. If thetypeistoggle, the default value must be boolean. -
keystring · min length: 1 · max length: 36required -
A unique key for the custom field. Must be lower case and composed only of a-z, 0-9, '_', and '-' characters. It is used in API calls to refer to a specific custom field.
-
ownerrequired -
The application that owns the cases: Stack Management, Observability, or Elastic Security.
-
Values:
casesobservabilitysecuritySolution -
templatesobject -
caseFieldsobject -
connectorobject -
fieldsobjectnullable -
The fields specified in the case configuration are not used and are not propagated to individual cases, therefore it is recommended to set it to
null. -
idstring -
The identifier for the connector. If you do not want a default connector, use
none. To retrieve connector IDs, use the find connectors API. -
The words and phrases that help categorize cases. It can be an empty array.
-
keystring -
A unique key for the template. Must be lower case and composed only of a-z, 0-9, '_', and '-' characters. It is used in API calls to refer to a specific template.
-
The words and phrases that help categorize templates. It can be an empty array.
Responses
Indicates a successful call.
-
closure_type -
Indicates whether a case is automatically closed when it is pushed to external systems (
close-by-pushing) or not automatically closed (close-by-user). -
Values:
close-by-pushingclose-by-user -
connectorobject -
fieldsobjectnullable -
The fields specified in the case configuration are not used and are not propagated to individual cases, therefore it is recommended to set it to
null. -
idstring -
The identifier for the connector. If you do not want a default connector, use
none. To retrieve connector IDs, use the find connectors API. -
customFieldsobject -
Custom fields configuration details.
-
owner -
The application that owns the cases: Stack Management, Observability, or Elastic Security.
-
Values:
casesobservabilitysecuritySolution